function main(){

	var fieldData = null;
    var results = [];
    var baseUrl = null;
    var configNode = null;
    
    // Jira Server 設定ファイルの場所
    var configFilePath = "/app:company_home/app:dictionary/cm:Ricksoft/cm:Atlassian/cm:Jira";
    
    // 設定ファイルの取得
    try{
      var configNode = companyhome.childrenByXPath(configFilePath)[0].getChildAssocsByType("rs:jiraServer")[0];
    } catch (error){
      logger.log("Jira Server configuration file was not found.");
    }

    if(configNode != null){
        // 設定ファイルがある場合
	    baseUrl = configNode.properties["rs:jiraServerBaseUrl"];
    } else {
      logger.log("Jira Server configuration file was not found.");
    }

    // 引数の取得
    fieldData = args.fieldData;
    if(fieldData != null && fieldData != ""){
      var relatedItems = fieldData.split(",");
      var itemNum = relatedItems.length;
      for(i=0; i<itemNum; i++){
        var item = search.findNode(relatedItems[i]);
        var issueKey = item.properties["rs:jiraIssueKey"];
        var issueId = item.properties["rs:jiraIssueId"];
        var issueType = item.properties["rs:jiraIssueType"];
        var jiraUri = null;
        if(baseUrl != null){
          jiraUri = baseUrl + "/browse/" + issueKey;
        }
        logger.log("Jira Issue :" + issueKey + ", Issue Type :" + issueType);
        results.push({
          issueKey: issueKey,
          issueId: issueId,
          issueType: issueType,
          jiraUri : jiraUri
        });
      }
    }
    model.results = results;
}
main();
